<head>
<title>Gästebuch</title>
<script language="JavaScript">
<!--

b1=new Image();
b1.src="images/gb_inhalt1.jpg";
b2=new Image();
b2.src="images/gb_inhalt2.jpg";
n1=new Image();
n1.src="images/next1.jpg";
n2=new Image();
n2.src="images/next2.jpg";
l1=new Image();
l1.src="images/last1.jpg";
l2=new Image();
l2.src="images/last2.jpg";



function change(nr,obj){
  window.document.images[nr].src=obj.src;
}



  function check()
  {
    if(window.document.forms[0].elements[1].selectedIndex==-1)
    {
      alert("Sie haben keine Auswahl getroffen!");
      return false;
    }

    return true;
  }

//-->
</script>



</head>

<body bgcolor="white">

<p>&nbsp;<p>


<?
/* 
   Der erste PHP Einschub
   Er wird nur aktiviert, wenn die Datei inhalt.php3 sich selbst aufgerufen
   hatte und die Variable NUMMER gesetzt ist. Falls das der Fall ist, so
   wird der entsprechende Eintrag angezeigt und dann eine Auswahl zum
   Blättern angezeigt. Die Webseite endet in diesem Fall mit diesem Script
   und kommt nie auf die Zeilen darunter
*/
require 'Gastbuch/header.inc';

if(isset($NUMMER)){
  /* Tabelle anlegen */
  echo "<center>\n";
  echo "<table border=0 bgcolor=#000000 cellspacing=0>\n";
  echo "<tr><td>\n";
  echo "<table bgcolor=#cacaca cellspacing=0>\n";
  echo "<tr><th>\n";
  echo "<table bgcolor=#cacaca width=80% cellspacing=0>\n";
  echo "<tr><td>\n";

  /* Gewählten Eintrag in das Array a einlesen und ausgeben.
     a[0] enthält den Trenner, a[1] das Datum, a[2] den Namen.
     alle folgenden Zeilen sind der eingegebene Text*/
  $a=get_entry($NUMMER);
  echo "<h3>Am $a[1] Uhr schrieb $a[2]:</h3><p><hr><p>\n";
  $i=3;
  echo "<pre>\n";
  while(strlen($a[$i])>1){
    echo "$a[$i]";
    $i++;
  }
  echo "</pre>\n";
  echo "</td></tr></table>\n";
  echo "</th></tr></table>\n";
  echo "</th></tr></table>\n";
  echo "<p><hr width=70%><p><center>\n";
  
  /* 
     Je nachdem, ob es der erste, der letzte oder ein dazwischenlegender
     Eintrag ist, werden jetzt Buttons zum Blättern eingefügt. Falls ein
     Button nicht eingefügt wird, wird stattdessen ein blindes Image
     (leer.gif) eingefügt, damit der Wechsel mit JavaScript nicht
     durcheinanderkommt.
  */
  $z=count_entry();
  if($NUMMER>1){
    $N2=$NUMMER-1;
    echo "<a href=inhalt.php3?NUMMER=$N2 onMouseOver=change(0,l2) onMouseOut=change(0,l1)>\n";
    echo "<img src=images/last1.jpg border=0 alt=Letzter hspace=10></a>\n";
  } else echo "<img src=images/leer.gif>\n";
  if($NUMMER<$z){
    $N2=$NUMMER+1;
    echo "<a href=inhalt.php3?NUMMER=$N2 onMouseOver=change(1,n2) onMouseOut=change(1,n1)>\n";
    echo "<img src=images/next1.jpg border=0 alt=Nächster hspace=10></a>\n";
  } else echo "<img src=images/leer.gif>\n";

  /*
    Der normale Fuß der Seite mit Links. Damit das Inhaltsverzeichnis wieder
    aufgerufen werden kann, muss die Variable NUMMER zuerst gestrichen
    werden. Am Ende des Scripts wird die Webseite mit exit beendet!
  */
  echo "<p><hr width=70%><p>\n";
  unset($NUMMER);
  echo "<a href=inhalt.php3 onMouseOver=change(2,b2) onMouseOut=change(2,b1)>\n";
  echo "<img src=images/gb_inhalt1.jpg border=0 alt=Inhaltsverzeichnis hspace=10></a>\n";
  echo "<font size=-1><p>&nbsp;<p>&nbsp;<p>&nbsp;<p>\n";
  echo "<center><p><hr width=70%><p>";
  echo "[ <a href=index.html>Zurück zur Startseite</a> ]\n";
  echo "[ <a href=guest.php3>Nochmal Guestbook</a> ]\n";
  echo "[ <a href=inhalt.php3>Inhalt des Gästebuchs</a> ]\n";
  echo "<p><hr width=70%><p><font color=blue>\n";
  echo "Diese Seite ist ein Projekt der Klasse NTKE0200\n";
  echo "</font></font>\n";
  echo "</center>\n</body>";
  exit;
}
?>
Mit dem untenstehenden Formular kann ein Eintrag aus dem Gästebuch
ausgewählt werden. Durch Anklicken des Auswahl-Buttons wird dann der
betreffende Eintrag angewählt.
<p><hr><p>

<center>


<form method=post action=inhalt.php3 onSubmit="return check()">
<table border=0 bgcolor=#000000 cellspacing=0>
<tr><td>
<table bgcolor=#cacaca cellspacing=0>
<tr><th>
<table bgcolor=#cacaca width=80% cellspacing=0 border=0>
<tr>

<td><b>Alle Einträge:</b></td>
<td>&nbsp;</td>
<td>&nbsp;</td>
<td>&nbsp;</td>
</tr>
<tr>
<?
  /*
    Der zweite PHP Einschub 
    Hier wird der Inhalt der Gästebuchdatei gelesen und in ein Menü
    eingepasst.
  */

  $i=0;  /* Der Zähler, der später als Nummer übergeben wird */
  $fp=fopen($buchfile,'r');
  /*
    Die nächsten Zeilen sind dazu da, daß das Menü nur soviel Zeilen hat,
    wie es braucht, wenn es weniger als 15 Einträge sind. Sind es mehr,
    so wird das Menü auf 15 Zeilen beschränkt und mir Scrollbar
    ausgestattet. Sollte gar kein Eintrag vorhanden sein, so wird das unten
    noch ausgegeben...
  */
  $z=count_entry();
  if($z>0){
   if ($z>15) $size=15; else $size=$z;  
   if($fp){
     /* Menü starten */
     echo "<td valign=bottom><input type=submit value=\"  Auswahl  \"></td>\n";
     echo "<td colspan=2>\n";
     echo "<select name=NUMMER size=$size>\n";
     /* Schleife zum Lesen der Datei */
     while ($line = fgets($fp, 4096)){
       /* Wenn der Trenner gefunden wird, wird der Zähler um eins erhöht
          und Datum und Name gelesen und in eine Menüzeile eingefügt */
       if (strstr($line,$trenner)){
         $i++;
         $datum = fgets($fp, 4096);
         $name = fgets($fp, 4096);
         echo "<option value=$i>$datum Uhr - $name<br>\n";
       }
     }
     /* Menü und Tabelle abschließen */
     echo "</select>\n";
     echo "</td>\n";
     echo "<th>&nbsp;&nbsp;&nbsp;&nbsp;</th>\n";
     echo "</tr>\n";
 
   } else {
     echo "<td colspan=4><h3>Fehler beim Öffnen des Gästebuchs</h3>\n</td>\n";    
   }
  }else echo "<tr><th><h3>Gästebuch ist leer</h3>\n</th>";
?>


</tr>
</table>
</th></tr></table>
</td></tr></table>
</form>


<center>
<font size=-1>
<p>&nbsp;<p>&nbsp;<p><hr width=70%><p>
[ <a href=index.html>Zurück zur Startseite</a> ]
[ <a href=guest.php3>Nochmal Guestbook</a> ]

<p><hr width=70%><p><font color=blue>
Diese Seite ist ein Projekt der Klasse NTKE0200
</font></font>
</center>

</body>


